Download it now!
Bug 60949 - move libraries from UNOLIBS_OOO to OOOLIBS in build system
Summary: move libraries from UNOLIBS_OOO to OOOLIBS in build system
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.1.0
Keywords: difficultyBeginner, easyHack, skillScript
Depends on:
Blocks:
 
Reported: 2013-02-16 11:22 UTC by Björn Michaelsen
Modified: 2015-12-16 00:18 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2013-02-16 11:22:32 UTC
Because of overly creative developers, some libraries are called "libfoo.uno.so" instead of "libfoolo.so" -- this causes needless complexity in the build system. Since there is no technical reason to name them differently, this should be fixed.

Here is an example commit:

https://gerrit.libreoffice.org/gitweb?p=core.git;a=commitdiff;h=1cfaf70d401d49ab5a2c353f256203e086a678dc

In the end (when UNOLIBS_OOO is gone) this hopefully reduces the complexity of the build system and the barrier to entry for new contributors.
Comment 1 Commit Notification 2013-04-19 14:48:47 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ef08518fcfdab0e5fd5c61aa4fb4f7907fcb8355

fdo#60949: Move some libs to OOOLIBS



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2013-04-20 10:20:01 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5414a3eecdb09be928313477792acfe1d3534645

fdo#60949: Move more libs to OOOLIBS



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Marcos Souza 2013-04-20 20:38:05 UTC
Hi guys,

I saw some cases that we just have

SPECIAL_COMPONENT_LIB_FILE(gid_File_Ucpext, ucpext.uno)

Do we need to change this to

SPECIAL_COMPONENT_LIB_FILE(gid_File_Ucpext, ucpext)

And move the entry to OOOLIBS?

How we can handle this?
Comment 4 Commit Notification 2013-04-21 05:57:53 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=03a36ed0fb81088358d7cfc3068a7be9878f2f8b

fdo#60949: Move more libs to OOOLIBS



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Björn Michaelsen 2013-04-22 17:20:24 UTC
(In reply to comment #3)
> I saw some cases that we just have
> SPECIAL_COMPONENT_LIB_FILE(gid_File_Ucpext, ucpext.uno)
> Do we need to change this to
> SPECIAL_COMPONENT_LIB_FILE(gid_File_Ucpext, ucpext)
> And move the entry to OOOLIBS?
Yes, the componentfile should be renamed along with the lib itself.
Comment 6 Commit Notification 2013-04-24 17:44:12 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=95f2f5f4d1a6d94788ea4e3905c25ddd69eb3d9b

fdo#60949: Move the last libs to OOOLIBS



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Marcos Souza 2013-04-26 11:47:57 UTC
Guys, there are only two lib in UNOLIBS_OOO:
nulcanvas
directx5canvas

directx5 seems to be useless, after make a "git grep direct5canvas" it only returns the file Repository.mk. So I removed this entry.

But, nullcanvas, it find a Library_nullcanvas at canvas/ dir, but there is nothing that references this in scp2... can I remove this canvas/Library_nullcanvas.mk and all references?

Thanks since now!
Comment 8 Thorsten Behrens (CIB) 2013-04-26 13:06:33 UTC
(In reply to comment #7)
> But, nullcanvas, it find a Library_nullcanvas at canvas/ dir, but there is
> nothing that references this in scp2... can I remove this
> canvas/Library_nullcanvas.mk and all references?
>
Yep, including the code - it serves as a boilerplate for new canvas implementations, but can do so just as well in the git history.
Comment 9 Marcos Souza 2013-04-26 17:16:10 UTC
thbehrens, after a git grep nulcanvas I get this:
marcos@jedi:~/gitroot/core$ git grep nullcanvas
Repository.mk:    nullcanvas \
canvas/Library_nullcanvas.mk:$(eval $(call gb_Library_Library,nullcanvas))
canvas/Library_nullcanvas.mk:$(eval $(call gb_Library_set_componentfile,nullcanvas,canvas/source/null/nullcanvas))
canvas/Library_nullcanvas.mk:$(eval $(call gb_Library_use_external,nullcanvas,boost_headers))
canvas/Library_nullcanvas.mk:$(eval $(call gb_Library_use_sdk_api,nullcanvas))
canvas/Library_nullcanvas.mk:$(eval $(call gb_Library_use_libraries,nullcanvas,\
canvas/Library_nullcanvas.mk:$(eval $(call gb_Library_add_exception_objects,nullcanvas,\
canvas/Module_canvas.mk:        Library_nullcanvas \
canvas/source/null/null_canvasbitmap.cxx:namespace nullcanvas
canvas/source/null/null_canvasbitmap.hxx:namespace nullcanvas
canvas/source/null/null_canvascustomsprite.cxx:namespace nullcanvas
canvas/source/null/null_canvascustomsprite.hxx:namespace nullcanvas
canvas/source/null/null_canvasfont.cxx:namespace nullcanvas
canvas/source/null/null_canvasfont.hxx:namespace nullcanvas
canvas/source/null/null_canvashelper.cxx:namespace nullcanvas
canvas/source/null/null_canvashelper.hxx:namespace nullcanvas
canvas/source/null/null_devicehelper.cxx:namespace nullcanvas
canvas/source/null/null_devicehelper.hxx:namespace nullcanvas
canvas/source/null/null_spritecanvas.cxx:namespace nullcanvas
canvas/source/null/null_spritecanvas.cxx:COMPHELPER_SERVICEDECL_EXPORTS1(nullcanvas, nullcanvas::nullCanvasDecl)
canvas/source/null/null_spritecanvas.hxx:namespace nullcanvas
canvas/source/null/null_spritecanvashelper.cxx:namespace nullcanvas
canvas/source/null/null_spritecanvashelper.hxx:namespace nullcanvas
canvas/source/null/null_spritehelper.cxx:namespace nullcanvas
canvas/source/null/null_spritehelper.hxx:namespace nullcanvas
canvas/source/null/null_textlayout.cxx:namespace nullcanvas
canvas/source/null/null_textlayout.hxx:namespace nullcanvas
canvas/source/null/null_usagecounter.hxx:namespace nullcanvas
canvas/source/null/nullcanvas.component:<component loader="com.sun.star.loader.SharedLibrary" prefix="nullcanvas"
canvas/source/null/sprite.hxx:namespace nullcanvas

What sources can I drop too?

Thanks for the patience!
Comment 10 Björn Michaelsen 2013-04-28 00:22:57 UTC
@Marcos: If I understand Thorsten correctly, "it can do so from the git history" means you can drop it as we have version control and someone interested in it can go back in time there to pick it up.
Comment 11 Commit Notification 2013-04-29 04:32:00 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1cd9b5d859a6468164b043b0fcaaf49c1907500c

fdo#60949: Remove UNOLIBS_OOO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Thorsten Behrens (CIB) 2013-04-29 08:46:49 UTC
(In reply to comment #11)
> Marcos Paulo de Souza committed a patch related to this issue.
>
Thx! :)
Comment 13 Matúš Kukan 2013-04-30 11:11:01 UTC
After https://gerrit.libreoffice.org/gitweb?p=core.git;a=commitdiff;h=22e1a5b836b898298b6a5cfbaf1c82d9c3f08349 there is no more UNOLIBS_OOO in master, thanks
Comment 14 Commit Notification 2013-04-30 11:11:49 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eb190f135dc8fd0c22d9b10bae3788b259fce91a

fdo#60949: move last UNOLIBS_OOO to OOOLIBS



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Robinson Tryon (qubit) 2015-12-16 00:18:39 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner SkillScript )
[NinjaEdit]